Bug 174397 - need driver for ULi M5289
need driver for ULi M5289
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-28 14:49 EST by Luis Alexandre Fontes
Modified: 2013-07-02 22:26 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 19:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luis Alexandre Fontes 2005-11-28 14:49:20 EST
Description of problem:
I have an ASUS K8U-X motherboard, with ULi 1689 chipset.
It seems that there is no driver for the ULi M5289 SATA controller.

In the following page, there is a download for 1689 on Linux kernel 2.6.x:
http://www.uli.com.tw/eng/support/drivers.php
or directly:
ftp://www.uli.com.tw/driver/Linux_K2.6.x_Integrated132.zip

In the "SATA_Raid/SCSI_RAID_Driver" folder there are drivers only for Fedora 
2/3, Red Hat 9 and SuSE 9.0/9.2.

I tried the drivers for Fedora 2 and 3, but didn't work.

-----------------------------------------------------------------------------
Version-Release number of selected component (if applicable):

-----------------------------------------------------------------------------
How reproducible:
Every time

-----------------------------------------------------------------------------
Steps to Reproduce:
from the readme.txt in SATA_Raid/SCSI_RAID_Driver/fedora3/64bit/fc3-64driver:

1. Start the RHEL 64-bit Installation with CD-ROM booting;
2. At the first installation screen, a prompt labeled "boot:" will appear at 
the bottom of the screen;
3. Please append parameters (linux dd) at the "boot:" prompt, then press the 
Enter key;
4. At the "driver disks" dialog box, press "YES";
5. Next, if "Driver Disk Source" dialog box appears, select "fd0" and 
press "OK";
6. At the "Insert Driver disk" dialog box, insert your raid driver disk into 
floppy drive and press "OK" to continue;
7. If the system shows "Error" dialog box, press "Manually choose" and scroll 
down at "Select Device Driver to Load", dialog box to select ULi 5281 Raid 
Controller (ALiRaid),then press "OK".  
-----------------------------------------------------------------------------
Actual results:

the SATA driver is not loaded; can't start the disk partitioning;
-----------------------------------------------------------------------------
Expected results:

the SATA driver should be loaded;
-----------------------------------------------------------------------------
Additional info:

Sorry, I've select dmraid component, but it should be 'sata_uli' or something 
else.
Comment 2 Jason Baron 2006-11-30 10:13:53 EST
We've included the latest version of the Sata drivers for U5. So i would hope
that this bug is resolved. A test kernel with this patch is available from
http://people.redhat.com/~jbaron/rhel4/. However, if the box is not installed we
might have to wait until the beta when and .iso is available for testing. 
Comment 3 Jay Turner 2007-02-08 08:19:04 EST
QE ack for RHEL4.5.
Comment 7 Red Hat Bugzilla 2007-05-01 19:58:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.